Patch Slot
curl --request PATCH \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 123,
"softCostOverrides": {},
"softCostChanges": {},
"budgetQuantity": "<string>",
"purchaseQuantityOverride": "<string>",
"unitsPerPackage": "<string>",
"extraQuantityPercentage": "<string>",
"extraQuantityOverride": "<string>",
"parLevel": "<string>",
"columnsAttributes": {},
"refNumber": "<string>",
"extraQuantityDecimalPlaces": 3,
"applyParToPurchaseQuantity": true,
"primaryProjectItemId": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}"
payload = {
"version": 123,
"softCostOverrides": {},
"softCostChanges": {},
"budgetQuantity": "<string>",
"purchaseQuantityOverride": "<string>",
"unitsPerPackage": "<string>",
"extraQuantityPercentage": "<string>",
"extraQuantityOverride": "<string>",
"parLevel": "<string>",
"columnsAttributes": {},
"refNumber": "<string>",
"extraQuantityDecimalPlaces": 3,
"applyParToPurchaseQuantity": True,
"primaryProjectItemId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 123,
softCostOverrides: {},
softCostChanges: {},
budgetQuantity: '<string>',
purchaseQuantityOverride: '<string>',
unitsPerPackage: '<string>',
extraQuantityPercentage: '<string>',
extraQuantityOverride: '<string>',
parLevel: '<string>',
columnsAttributes: {},
refNumber: '<string>',
extraQuantityDecimalPlaces: 3,
applyParToPurchaseQuantity: true,
primaryProjectItemId: '<string>'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'version' => 123,
'softCostOverrides' => [
],
'softCostChanges' => [
],
'budgetQuantity' => '<string>',
'purchaseQuantityOverride' => '<string>',
'unitsPerPackage' => '<string>',
'extraQuantityPercentage' => '<string>',
'extraQuantityOverride' => '<string>',
'parLevel' => '<string>',
'columnsAttributes' => [
],
'refNumber' => '<string>',
'extraQuantityDecimalPlaces' => 3,
'applyParToPurchaseQuantity' => true,
'primaryProjectItemId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}"
payload := strings.NewReader("{\n \"version\": 123,\n \"softCostOverrides\": {},\n \"softCostChanges\": {},\n \"budgetQuantity\": \"<string>\",\n \"purchaseQuantityOverride\": \"<string>\",\n \"unitsPerPackage\": \"<string>\",\n \"extraQuantityPercentage\": \"<string>\",\n \"extraQuantityOverride\": \"<string>\",\n \"parLevel\": \"<string>\",\n \"columnsAttributes\": {},\n \"refNumber\": \"<string>\",\n \"extraQuantityDecimalPlaces\": 3,\n \"applyParToPurchaseQuantity\": true,\n \"primaryProjectItemId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": 123,\n \"softCostOverrides\": {},\n \"softCostChanges\": {},\n \"budgetQuantity\": \"<string>\",\n \"purchaseQuantityOverride\": \"<string>\",\n \"unitsPerPackage\": \"<string>\",\n \"extraQuantityPercentage\": \"<string>\",\n \"extraQuantityOverride\": \"<string>\",\n \"parLevel\": \"<string>\",\n \"columnsAttributes\": {},\n \"refNumber\": \"<string>\",\n \"extraQuantityDecimalPlaces\": 3,\n \"applyParToPurchaseQuantity\": true,\n \"primaryProjectItemId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 123,\n \"softCostOverrides\": {},\n \"softCostChanges\": {},\n \"budgetQuantity\": \"<string>\",\n \"purchaseQuantityOverride\": \"<string>\",\n \"unitsPerPackage\": \"<string>\",\n \"extraQuantityPercentage\": \"<string>\",\n \"extraQuantityOverride\": \"<string>\",\n \"parLevel\": \"<string>\",\n \"columnsAttributes\": {},\n \"refNumber\": \"<string>\",\n \"extraQuantityDecimalPlaces\": 3,\n \"applyParToPurchaseQuantity\": true,\n \"primaryProjectItemId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"effectiveFormulaAssignments": {},
"formulaResults": {},
"id": "<string>",
"projectId": "<string>",
"changedSinceIssueCount": 123,
"changedFields": [
"<string>"
],
"position": 123,
"quantity": "<string>",
"purchaseQuantityOverride": "<string>",
"refNumber": "<string>",
"columnsAttributes": {},
"collectionApplication": {
"collection": {
"id": "<string>",
"name": "<string>",
"brand": "<string>",
"regions": [
"<string>"
],
"generation": 123,
"version": 123,
"navigable": true
},
"entry": {
"id": "<string>",
"label": "<string>",
"productTypeLabel": "<string>",
"productTypeId": "<string>"
},
"reference": {
"label": "<string>",
"kind": "catalog_item",
"referenceCode": "<string>"
},
"application": {
"id": "<string>",
"createdAt": "<string>"
},
"content": {
"referenceNumber": "<string>",
"description": "<string>",
"notes": [
"<string>"
]
},
"governance": {
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturerNames": [
"<string>"
]
}
},
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"totalQuantity": "<string>",
"unassignedQuantity": "<string>",
"extraQuantity": "<string>",
"applyParToPurchaseQuantity": true,
"softCostOverrides": {},
"effectiveSoftCosts": [
{
"source": "category",
"mode": "percentage",
"inheritedRate": "<string>",
"rate": "<string>",
"amount": "<string>",
"id": "<string>",
"name": "<string>",
"typeId": "<string>",
"archived": true
}
],
"budgetQuantity": "<string>",
"unitsPerPackage": {},
"parLevel": {},
"extraQuantityPercentage": {},
"extraQuantityOverride": {},
"extraQuantityDecimalPlaces": 123,
"items": [
{
"notes": "<string>",
"id": "<string>",
"projectId": "<string>",
"projectItemSlotId": "<string>",
"name": "<string>",
"catalogFamilyId": "<string>",
"catalogItemId": "<string>",
"materialFinish": {
"id": "<string>",
"name": "<string>",
"isBaseMaterial": true
},
"columnsAttributes": {},
"formulaAssignments": {},
"effectiveFormulaAssignments": {},
"effectiveTaxSettings": {
"sources": {},
"values": {
"purchaseTaxRate": "<string>",
"clientSalesTaxRate": "<string>",
"purchaseTaxLabel": "<string>",
"clientSalesTaxLabel": "<string>",
"purchaseTaxExempt": true,
"listPriceIncludesPurchaseTax": true,
"useSameTaxRate": true
}
},
"inheritedTaxSettings": {
"sources": {},
"values": {
"purchaseTaxRate": "<string>",
"clientSalesTaxRate": "<string>",
"purchaseTaxLabel": "<string>",
"clientSalesTaxLabel": "<string>",
"purchaseTaxExempt": true,
"listPriceIncludesPurchaseTax": true,
"useSameTaxRate": true
}
},
"formulaResults": {},
"purchaseQuantityOverride": "<string>",
"purchasingUnit": "units",
"sourceMeta": {
"url": "<string>",
"selectors": {},
"title": "<string>",
"favicon": "<string>",
"ogImage": "<string>",
"clippedAt": "<string>"
},
"instructionLinks": [
{
"assigneeRoleGroupIds": [
"mfg_vendors"
],
"id": "<string>",
"kind": "instruction",
"text": "<string>",
"position": 123
}
],
"isPrimary": true,
"optionStatus": "active",
"catalogConnectionMode": "live",
"savedAt": "2023-11-07T05:31:56Z",
"selectedSource": {
"isDefault": true,
"companyName": {},
"officeName": {},
"currency": "<string>"
},
"collectionApplication": {
"collection": {
"id": "<string>",
"name": "<string>",
"brand": "<string>",
"regions": [
"<string>"
],
"generation": 123,
"version": 123,
"navigable": true
},
"entry": {
"id": "<string>",
"label": "<string>",
"productTypeLabel": "<string>",
"productTypeId": "<string>"
},
"reference": {
"label": "<string>",
"kind": "catalog_item",
"referenceCode": "<string>"
},
"application": {
"id": "<string>",
"createdAt": "<string>"
},
"content": {
"referenceNumber": "<string>",
"description": "<string>",
"notes": [
"<string>"
]
},
"governance": {
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturerNames": [
"<string>"
]
}
},
"categoryId": "<string>",
"productTypeId": "<string>",
"kind": "option",
"catalogFamilyStatus": "draft",
"catalogSourceLifecycle": {
"state": "archived",
"expiresAt": "2023-11-07T05:31:56Z",
"itemType": "default",
"restorable": true
},
"catalogFamilyItemType": "default",
"catalogDecisionEventIds": [
"<string>"
],
"refNumber": "<string>",
"affectedParentPiIds": [
"<string>"
],
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"pricingSettings": {
"pricingMethod": "standard",
"listPriceIncludesPurchaseTax": true,
"purchaseTaxExempt": true,
"useSameTaxRate": true
},
"slotColumnsAttributes": {},
"catalogFamilyDiscontinued": true,
"coreChangePolicy": {},
"catalogFamilySourceId": "<string>",
"softCostOverrides": {},
"effectiveSoftCosts": [
{
"source": "category",
"mode": "percentage",
"inheritedRate": "<string>",
"rate": "<string>",
"amount": "<string>",
"id": "<string>",
"name": "<string>",
"typeId": "<string>",
"archived": true
}
],
"syncStateCache": {
"hasDiff": true,
"columnsDiff": true,
"partsDiff": {
"hasDiff": true,
"addedLocally": [
"<string>"
],
"removedLocally": [
"<string>"
],
"quantityChanged": [
{
"catalogItemId": "<string>",
"projectQty": "<string>",
"catalogQty": "<string>"
}
]
},
"selectionDiff": {
"familySourceMismatch": true,
"itemSourceMismatch": true
},
"orphanedRefs": {
"family": true,
"item": true,
"familySource": true,
"itemSource": true
},
"computedAt": "<string>",
"componentsDiverged": true
},
"affectedCatalogFamilyId": "<string>",
"componentBuildCostBreakdown": {
"parentUnitsPerPackage": "<string>",
"rows": [
{
"projectItemId": "<string>",
"quantity": "<string>",
"costPrice": "<string>",
"unitsPerPackage": "<string>",
"contribution": "<string>"
}
]
}
}
]
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}Project Item Slots
Patch Slot
PATCH
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-slots
/
{id}
Patch Slot
curl --request PATCH \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 123,
"softCostOverrides": {},
"softCostChanges": {},
"budgetQuantity": "<string>",
"purchaseQuantityOverride": "<string>",
"unitsPerPackage": "<string>",
"extraQuantityPercentage": "<string>",
"extraQuantityOverride": "<string>",
"parLevel": "<string>",
"columnsAttributes": {},
"refNumber": "<string>",
"extraQuantityDecimalPlaces": 3,
"applyParToPurchaseQuantity": true,
"primaryProjectItemId": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}"
payload = {
"version": 123,
"softCostOverrides": {},
"softCostChanges": {},
"budgetQuantity": "<string>",
"purchaseQuantityOverride": "<string>",
"unitsPerPackage": "<string>",
"extraQuantityPercentage": "<string>",
"extraQuantityOverride": "<string>",
"parLevel": "<string>",
"columnsAttributes": {},
"refNumber": "<string>",
"extraQuantityDecimalPlaces": 3,
"applyParToPurchaseQuantity": True,
"primaryProjectItemId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 123,
softCostOverrides: {},
softCostChanges: {},
budgetQuantity: '<string>',
purchaseQuantityOverride: '<string>',
unitsPerPackage: '<string>',
extraQuantityPercentage: '<string>',
extraQuantityOverride: '<string>',
parLevel: '<string>',
columnsAttributes: {},
refNumber: '<string>',
extraQuantityDecimalPlaces: 3,
applyParToPurchaseQuantity: true,
primaryProjectItemId: '<string>'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'version' => 123,
'softCostOverrides' => [
],
'softCostChanges' => [
],
'budgetQuantity' => '<string>',
'purchaseQuantityOverride' => '<string>',
'unitsPerPackage' => '<string>',
'extraQuantityPercentage' => '<string>',
'extraQuantityOverride' => '<string>',
'parLevel' => '<string>',
'columnsAttributes' => [
],
'refNumber' => '<string>',
'extraQuantityDecimalPlaces' => 3,
'applyParToPurchaseQuantity' => true,
'primaryProjectItemId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}"
payload := strings.NewReader("{\n \"version\": 123,\n \"softCostOverrides\": {},\n \"softCostChanges\": {},\n \"budgetQuantity\": \"<string>\",\n \"purchaseQuantityOverride\": \"<string>\",\n \"unitsPerPackage\": \"<string>\",\n \"extraQuantityPercentage\": \"<string>\",\n \"extraQuantityOverride\": \"<string>\",\n \"parLevel\": \"<string>\",\n \"columnsAttributes\": {},\n \"refNumber\": \"<string>\",\n \"extraQuantityDecimalPlaces\": 3,\n \"applyParToPurchaseQuantity\": true,\n \"primaryProjectItemId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version\": 123,\n \"softCostOverrides\": {},\n \"softCostChanges\": {},\n \"budgetQuantity\": \"<string>\",\n \"purchaseQuantityOverride\": \"<string>\",\n \"unitsPerPackage\": \"<string>\",\n \"extraQuantityPercentage\": \"<string>\",\n \"extraQuantityOverride\": \"<string>\",\n \"parLevel\": \"<string>\",\n \"columnsAttributes\": {},\n \"refNumber\": \"<string>\",\n \"extraQuantityDecimalPlaces\": 3,\n \"applyParToPurchaseQuantity\": true,\n \"primaryProjectItemId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 123,\n \"softCostOverrides\": {},\n \"softCostChanges\": {},\n \"budgetQuantity\": \"<string>\",\n \"purchaseQuantityOverride\": \"<string>\",\n \"unitsPerPackage\": \"<string>\",\n \"extraQuantityPercentage\": \"<string>\",\n \"extraQuantityOverride\": \"<string>\",\n \"parLevel\": \"<string>\",\n \"columnsAttributes\": {},\n \"refNumber\": \"<string>\",\n \"extraQuantityDecimalPlaces\": 3,\n \"applyParToPurchaseQuantity\": true,\n \"primaryProjectItemId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"effectiveFormulaAssignments": {},
"formulaResults": {},
"id": "<string>",
"projectId": "<string>",
"changedSinceIssueCount": 123,
"changedFields": [
"<string>"
],
"position": 123,
"quantity": "<string>",
"purchaseQuantityOverride": "<string>",
"refNumber": "<string>",
"columnsAttributes": {},
"collectionApplication": {
"collection": {
"id": "<string>",
"name": "<string>",
"brand": "<string>",
"regions": [
"<string>"
],
"generation": 123,
"version": 123,
"navigable": true
},
"entry": {
"id": "<string>",
"label": "<string>",
"productTypeLabel": "<string>",
"productTypeId": "<string>"
},
"reference": {
"label": "<string>",
"kind": "catalog_item",
"referenceCode": "<string>"
},
"application": {
"id": "<string>",
"createdAt": "<string>"
},
"content": {
"referenceNumber": "<string>",
"description": "<string>",
"notes": [
"<string>"
]
},
"governance": {
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturerNames": [
"<string>"
]
}
},
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"totalQuantity": "<string>",
"unassignedQuantity": "<string>",
"extraQuantity": "<string>",
"applyParToPurchaseQuantity": true,
"softCostOverrides": {},
"effectiveSoftCosts": [
{
"source": "category",
"mode": "percentage",
"inheritedRate": "<string>",
"rate": "<string>",
"amount": "<string>",
"id": "<string>",
"name": "<string>",
"typeId": "<string>",
"archived": true
}
],
"budgetQuantity": "<string>",
"unitsPerPackage": {},
"parLevel": {},
"extraQuantityPercentage": {},
"extraQuantityOverride": {},
"extraQuantityDecimalPlaces": 123,
"items": [
{
"notes": "<string>",
"id": "<string>",
"projectId": "<string>",
"projectItemSlotId": "<string>",
"name": "<string>",
"catalogFamilyId": "<string>",
"catalogItemId": "<string>",
"materialFinish": {
"id": "<string>",
"name": "<string>",
"isBaseMaterial": true
},
"columnsAttributes": {},
"formulaAssignments": {},
"effectiveFormulaAssignments": {},
"effectiveTaxSettings": {
"sources": {},
"values": {
"purchaseTaxRate": "<string>",
"clientSalesTaxRate": "<string>",
"purchaseTaxLabel": "<string>",
"clientSalesTaxLabel": "<string>",
"purchaseTaxExempt": true,
"listPriceIncludesPurchaseTax": true,
"useSameTaxRate": true
}
},
"inheritedTaxSettings": {
"sources": {},
"values": {
"purchaseTaxRate": "<string>",
"clientSalesTaxRate": "<string>",
"purchaseTaxLabel": "<string>",
"clientSalesTaxLabel": "<string>",
"purchaseTaxExempt": true,
"listPriceIncludesPurchaseTax": true,
"useSameTaxRate": true
}
},
"formulaResults": {},
"purchaseQuantityOverride": "<string>",
"purchasingUnit": "units",
"sourceMeta": {
"url": "<string>",
"selectors": {},
"title": "<string>",
"favicon": "<string>",
"ogImage": "<string>",
"clippedAt": "<string>"
},
"instructionLinks": [
{
"assigneeRoleGroupIds": [
"mfg_vendors"
],
"id": "<string>",
"kind": "instruction",
"text": "<string>",
"position": 123
}
],
"isPrimary": true,
"optionStatus": "active",
"catalogConnectionMode": "live",
"savedAt": "2023-11-07T05:31:56Z",
"selectedSource": {
"isDefault": true,
"companyName": {},
"officeName": {},
"currency": "<string>"
},
"collectionApplication": {
"collection": {
"id": "<string>",
"name": "<string>",
"brand": "<string>",
"regions": [
"<string>"
],
"generation": 123,
"version": 123,
"navigable": true
},
"entry": {
"id": "<string>",
"label": "<string>",
"productTypeLabel": "<string>",
"productTypeId": "<string>"
},
"reference": {
"label": "<string>",
"kind": "catalog_item",
"referenceCode": "<string>"
},
"application": {
"id": "<string>",
"createdAt": "<string>"
},
"content": {
"referenceNumber": "<string>",
"description": "<string>",
"notes": [
"<string>"
]
},
"governance": {
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturerNames": [
"<string>"
]
}
},
"categoryId": "<string>",
"productTypeId": "<string>",
"kind": "option",
"catalogFamilyStatus": "draft",
"catalogSourceLifecycle": {
"state": "archived",
"expiresAt": "2023-11-07T05:31:56Z",
"itemType": "default",
"restorable": true
},
"catalogFamilyItemType": "default",
"catalogDecisionEventIds": [
"<string>"
],
"refNumber": "<string>",
"affectedParentPiIds": [
"<string>"
],
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"pricingSettings": {
"pricingMethod": "standard",
"listPriceIncludesPurchaseTax": true,
"purchaseTaxExempt": true,
"useSameTaxRate": true
},
"slotColumnsAttributes": {},
"catalogFamilyDiscontinued": true,
"coreChangePolicy": {},
"catalogFamilySourceId": "<string>",
"softCostOverrides": {},
"effectiveSoftCosts": [
{
"source": "category",
"mode": "percentage",
"inheritedRate": "<string>",
"rate": "<string>",
"amount": "<string>",
"id": "<string>",
"name": "<string>",
"typeId": "<string>",
"archived": true
}
],
"syncStateCache": {
"hasDiff": true,
"columnsDiff": true,
"partsDiff": {
"hasDiff": true,
"addedLocally": [
"<string>"
],
"removedLocally": [
"<string>"
],
"quantityChanged": [
{
"catalogItemId": "<string>",
"projectQty": "<string>",
"catalogQty": "<string>"
}
]
},
"selectionDiff": {
"familySourceMismatch": true,
"itemSourceMismatch": true
},
"orphanedRefs": {
"family": true,
"item": true,
"familySource": true,
"itemSource": true
},
"computedAt": "<string>",
"componentsDiverged": true
},
"affectedCatalogFamilyId": "<string>",
"componentBuildCostBreakdown": {
"parentUnitsPerPackage": "<string>",
"rows": [
{
"projectItemId": "<string>",
"quantity": "<string>",
"costPrice": "<string>",
"unitsPerPackage": "<string>",
"contribution": "<string>"
}
]
}
}
]
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}Authorizations
Body
application/json
Response
⌘I